<?
/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}
include "../../maincore.php";
require_once THEMES."templates/header.php";
require_once INFUSIONS."news_archive/infusion_db.php";
error_reporting(E_ALL ^ E_NOTICE);

if (file_exists(INFUSIONS."news_archive/locale/".$settings['locale'].".php")) {
	include INFUSIONS."news_archive/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."news_archive/locale/English.php";
}

$nas = dbarray(dbquery("SELECT * FROM ".DB_NAS.""));

$newsorder = $nas['news_order'];
$numofnews = $nas['numofnews'];
if ($nas['listexp'] == 1){
	$listexp = "AND (news_end='0'||news_end>=".time().")";
} else {
	$listexp = "";
}
function listnews($var){
	global $rows, $locale, $db_prefix, $rowstart, $listexp, $numofnews, $year, $month, $day, $PHP_SELF;

	if ($rows !=0) {
		echo "<br /><table align='center' cellspacing='0' cellpadding='0' border='0' width='100%' class='tbl-border'>
		<tr>
		<td>";
		echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' border='0'>";
		echo "<tr><td align='center' width='50%' class='tbl2'><b>".$locale['NA_011']."</b></td><td align='center' class='tbl2'><b>".$locale['NA_012']."</b></td>
		<td align='center' class='tbl2'><b>".$locale['NA_013']."</b></td><td align='center' class='tbl2'><b>".$locale['NA_002']."</b></td></tr>";
		for ($i=$rowstart;isset($var[$i]);$i++) {
		$result2 = dbquery(
					"SELECT tn.*, tu.user_id,user_name
					FROM ".DB_NEWS." tn
					LEFT JOIN ".DB_USERS." tu ON tn.news_name=tu.user_id
					WHERE news_id=$var[$i] AND (news_start='0'||news_start<=".time().") $listexp
					GROUP BY news_id ORDER BY news_datestamp ASC"
				);
		$data = dbarray($result2);
				echo "<tr><td align='left' width='50%' class='tbl1'><a href='".BASEDIR."news.php?readmore=$var[$i]'>".$data['news_subject']."</a></td>
			<td align='center' class='tbl2'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></td>
			<td align='center' class='tbl1'>".date('d.m.Y', $data['news_datestamp'])."</td>
			<td align='center' class='tbl2'>".$data['news_reads']."</td></tr>";
		if ($i == $rowstart + ($numofnews - 1)) {
			break;
		}
			}
		echo "</table></td></tr></table>";
	} else {
		echo "<center><br />".$locale['NA_014']."<br /><br /></center>\n";
	}
}

opentable($locale['NA_001']);
$splityears = array();
$result = dbquery("SELECT * FROM ".DB_NEWS." ORDER BY news_datestamp ASC");
if (dbrows($result)!=0) {
	while ($date = dbarray($result)){
		$allyears = date('Y', $date['news_datestamp']);
		array_push($splityears, $allyears);
	}
	$yearsnum = array_count_values($splityears);
	$years = array_unique($splityears);
	$years = array_merge($years);
	echo ". <a href='news_archive.php?listtype=last&amp;pre=3'>".$locale['NA_005']."</a><br />";
	echo ". <a href='news_archive.php?listtype=last&amp;pre=7'>".$locale['NA_006']."</a><br />";
	echo ". <a href='news_archive.php?listtype=last&amp;pre=30'>".$locale['NA_008']."</a><br />";
	echo "<hr>";
	for ($i=0;isset($years[$i]);$i++) {
		echo ". <a href='news_archive.php?year=$years[$i]'>$years[$i]</a> (".$yearsnum[$years[$i]].")<br />";
	}
	closetable();

	if ($listtype == "last") {
		tablebreak();
		opentable($locale['NA_010']);
		$newslastweek = array();
		$result = dbquery("SELECT * FROM ".DB_NEWS." ORDER BY news_datestamp $newsorder");
		if (!$rowstart) $rowstart = 0;
		if (!$pre) $pre = 7;
		$weektime = mktime(0, 0, 0, date("m")  , date("d")-$pre, date("Y"));
		while ($date = dbarray($result)){
			$newstime = $date['news_datestamp'];
			if ($newstime >= $weektime){
				$newsid = $date['news_id'];
				array_push($newslastweek, $newsid);
			}
		}
		$rows = count($newslastweek);
		listnews($newslastweek);
		echo "<br /><div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,$numofnews,$rows,3,"$PHP_SELF?listtype=last&amp;pre=$pre&amp;")."\n</div>\n";
		closetable();
	} elseif (isset($year)) {
		tablebreak();
		opentable($year);
		$splitmonths = array();
		$result = dbquery("SELECT * FROM ".DB_NEWS." ORDER BY news_datestamp ASC");
		while ($date = dbarray($result)){
			$allyears = date('Y', $date['news_datestamp']);
			if ($allyears == $year){
				$allmonths = date('F', $date['news_datestamp']);
				array_push($splitmonths, $allmonths);
			}
		}
		$monthsnum = array_count_values($splitmonths);
		$months = array_unique($splitmonths);
		$months = array_merge($months);
		$rows = count($months);
		if ($rows !=0) {
			for ($i=0;isset($months[$i]);$i++) {
				echo ". <a href='news_archive.php?year=$year&amp;month=$months[$i]'>$months[$i]</a> (".$monthsnum[$months[$i]].") - (<a href='news_archive.php?listtype=bymonth&amp;year=$year&amp;month=$months[$i]'>".$locale['NA_004']."</a>)<br />";
			}
		} else {
			echo "<center><br />".$locale['NA_015']."<br /><br /></center>\n";
		}
		closetable();
		if ($listtype == "bymonth") {
			tablebreak();
			opentable($month);
			$newsbymonth = array();
			$result = dbquery("SELECT * FROM ".DB_NEWS." ORDER BY news_datestamp $newsorder");
			if (!$rowstart) $rowstart = 0;
			while ($date = dbarray($result)){
				$allyears = date('Y', $date['news_datestamp']);
				$allmonths = date('F', $date['news_datestamp']);
				if ($allmonths == $month && $allyears == $year){
					$newsid = $date['news_id'];
					array_push($newsbymonth, $newsid);
				}
			}
			$rows = count($newsbymonth);
			listnews($newsbymonth);
			echo "<br /><div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,$numofnews,$rows,3,"$PHP_SELF?listtype=bymonth&amp;year=$year&amp;month=$month&amp;")."\n</div>\n";
			closetable();
		} elseif (isset($month)) {
			tablebreak();
			opentable($month);
			$splitdays = array();
			$result = dbquery("SELECT * FROM ".DB_NEWS." ORDER BY news_datestamp ASC");
			while ($date = dbarray($result)){
				$allyears = date('Y', $date['news_datestamp']);
				$allmonths = date('F', $date['news_datestamp']);
				if ($allmonths == $month && $allyears == $year){
					$alldays = date('d', $date['news_datestamp']);
					array_push($splitdays, $alldays);
				}
			}
			$daysnum = array_count_values($splitdays);
			$days = array_unique($splitdays);
			$days = array_merge($days);
			$rows = count($days);
			if ($rows !=0) {
				for ($i=0;$days[$i];$i++) {
					if ( $days[$i] == 1 or $days[$i] == 21 or $days[$i] == 31) {
						$sub = "st";
					} elseif ( $days[$i] == 2 or $days[$i] == 22) {
						$sub = "nd";
					} elseif ( $days[$i] == 3 or $days[$i] == 23) {
						$sub = "rd";
					} else {
						$sub = "th";
					}
					echo ". <a href='news_archive.php?year=$year&amp;month=$month&amp;day=$days[$i]'>$days[$i]$sub</a> (".$daysnum[$days[$i]].")<br />";
				}
			} else {
			echo "<center><br />".$locale['NA_009']."<br /><br /></center>\n";
			}
			closetable();
		}
		if (isset($day)) {
			tablebreak();
			opentable($day);
			$news = array();
			$result = dbquery("SELECT * FROM ".DB_NEWS." ORDER BY news_datestamp $newsorder");
			if (!$rowstart) $rowstart = 0;
			while ($date = dbarray($result)){
				$allyears = date('Y', $date['news_datestamp']);
				$allmonths = date('F', $date['news_datestamp']);
				$alldays = date('d', $date['news_datestamp']);
				if ($alldays == $day && $allmonths == $month && $allyears == $year){
					$newsid = $date['news_id'];
					array_push($news, $newsid);
				}
			}
			$rows = count($news);
			listnews($news);
			echo "<br /><div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,$numofnews,$rows,3,"$PHP_SELF?listtype=bymonth&amp;year=$year&amp;month=$month&amp;day=$day&amp;")."\n</div>\n";
			closetable();
		}
	}
} else {
	echo "<center><br />".$locale['NA_003']."<br /><br /></center>\n";
	closetable();
}

require_once THEMES."templates/footer.php";
?>