<?php
echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">";

/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2007 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
/*---------------------------------------------------+
| Advanced News System v.5.00
+----------------------------------------------------+
| Advanced News System (ANS)
| Authors: Shedrock - Fuzed Themes
| Special Credit: Xandra - Thank you for all your help
| Extended Credit: Matonor for Scrolling New Ticker
| Support: http://phpfusion-themes.com
+----------------------------------------------------*/

require_once "../maincore.php";
require_once THEME."theme.php";
include BASEDIR."advanced_news/locale/ans.php";

echo "<title>".$settings['sitename']."</title>";
echo "<link rel='stylesheet' href='".THEME."styles.css' type='text/css'>\n";

if (!isset($_GET['readmore']) || !isnum($_GET['readmore'])) {
	$rows = dbcount("(news_id)", DB_NEWS, groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_draft='0'");
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if ($rows) {
		$result = dbquery(
			"SELECT tn.*, tc.*, user_id, user_name FROM ".DB_NEWS." tn
			LEFT JOIN ".DB_USERS." tu ON tn.news_name=tu.user_id
			LEFT JOIN ".DB_NEWS_CATS." tc ON tn.news_cat=tc.news_cat_id
			WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_draft='0'
			ORDER BY news_sticky DESC, news_datestamp DESC LIMIT ".$_GET['rowstart'].",$items_per_page"
		);		
		$numrows = dbrows($result);
		while ($data = dbarray($result)) {
			$news_cat_image = "";
			$news_subject = "<a target='mainwindow' href='javascript:void(0)' onclick=\"opener.location.href='".BASEDIR."readmore.php?readmore=".$data['news_id']."'; window.close();\">".stripslashes($data['news_subject'])."</a>";
			if ($data['news_cat'] != 0) {
				$result2 = dbquery("SELECT * FROM ".DB_NEWS_CATS." WHERE news_cat_id='".$data['news_cat']."'");
				if (dbrows($result2)) {
					$data2 = dbarray($result2);
					$news_cat_image = "<a target='mainwindow' href='javascript:void(0)' onclick=\"opener.location.href='".BASEDIR."news_cats.php?cat_id=".$data2['news_cat_id']."'; window.close();\"><img src='".IMAGES_NC.$data2['news_cat_image']."' alt='".$data2['news_cat_name']."' align='left' style='border:0px;margin-right:5px'></a>";
				}
			}
			$news_news = ans_clean_news(stripslashes($data['news_news']));
			if ($data['news_breaks'] == "y") $news_news = nl2br($news_news);
			if ($news_cat_image != "") $news_news = $news_cat_image.$news_news;
			$news_info = array(
				"news_id" => $data['news_id'],
				"user_id" => $data['user_id'],
				"user_name" => $data['user_name'],
				"news_date" => $data['news_datestamp'], 
				"news_ext" => $data['news_extended'] ? "y" : "n",
				"news_reads" => $data['news_reads'],
				"news_comments" => dbcount("(comment_id)", DB_COMMENTS, "comment_type='N' AND comment_item_id='".$data['news_id']."'"),
				"news_allow_comments" => $data['news_allow_comments']
			);
			render_news($news_subject, $news_news, $news_info);
			if ($i != $numrows) { tablebreak(); } $i++;
		}
		if ($rows > $items_per_page) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'],$items_per_page,$rows,3)."\n</div>\n";
	} else {
		opentable($locale['global_046']);
		echo "<center><br>\n".$locale['global_047']."<br><br>\n</center></div>\n";
		closetable();
	}
} else {
	include INCLUDES."comments_include.php";
	include INCLUDES."ratings_include.php";
	$result = dbquery(
		"SELECT tn.*, user_id, user_name FROM ".DB_NEWS." tn
		LEFT JOIN ".DB_USERS." tu ON tn.news_name=tu.user_id
		WHERE news_id='".$_GET['readmore']."' AND news_draft='0'"
	);
	if (dbrows($result)!=0) {
		$data = dbarray($result);
		if (checkgroup($data['news_visibility'])) {
			$news_cat_image = "";
			if (!isset($_POST['post_comment']) && !isset($_POST['post_rating'])) {
				 $result2 = dbquery("UPDATE ".DB_NEWS." SET news_reads=news_reads+1 WHERE news_id='".$_GET['readmore']."'");
				 $data['news_reads']++;
			}
			$news_subject = $data['news_subject'];
			if ($data['news_cat'] != 0) {
				$result2 = dbquery("SELECT * FROM ".DB_NEWS_CATS." WHERE news_cat_id='".$data['news_cat']."'");
				if (dbrows($result2)) {
					$data2 = dbarray($result2);
					$news_cat_image = "<a target='mainwindow' href='javascript:void(0)' onclick=\"opener.location.href='".BASEDIR."news_cats.php?cat_id=".$data2['news_cat_id']."'; window.close();\"><img src='".IMAGES_NC.$data2['news_cat_image']."' alt='".$data2['news_cat_name']."' align='left' style='border:0px;margin-right:5px'></a>";
				}
			}
			$news_news = ans_clean_news(stripslashes($data['news_extended'] ? $data['news_news']."<hr><b><font style='font-family:arial, Verdana; font-size:14px;'><u>".$locale['ans123']."</u></font></b><br><br>".$data['news_extended'] : $data['news_news']));
			if ($data['news_breaks'] == "y") { $news_news = nl2br($news_news); }
			if ($news_cat_image != "") $news_news = $news_cat_image.$news_news;
			$news_info = array(
				"news_id" => $data['news_id'],
				"user_id" => $data['user_id'],
				"user_name" => $data['user_name'],
				"news_date" => $data['news_datestamp'],
				"news_ext" => "n",
				"news_reads" => $data['news_reads'],
				"news_comments" => dbcount("(comment_id)", DB_COMMENTS, "comment_type='N' AND comment_item_id='".$data['news_id']."'"),
				"news_allow_comments" => $data['news_allow_comments']
			);
			render_news($news_subject, $news_news, $news_info);
		} else {
			redirect(FUSION_SELF);
		}
	} else {
		redirect(FUSION_SELF);
	}
}
echo "<div align='center'><input type='button' class='button' value='Close Window' onClick=\"window.close()\"></div>";

function ans_clean_news($news) {
	$news = str_replace("target='_blank'", "", $news);
	$news = preg_replace('#href=\'(.[^\']*)\'(.[^>]*)>#si', 'href=\'javascript:void(0)\' onclick="opener.location.href=\'\1\'; window.close();"\2>', $news);
	$news = str_replace("<img src='".substr(IMAGES_N, strlen(BASEDIR)), "<img src='".IMAGES_N, $news);
	return $news;
}

?>